### Method

# FwupdPlugin UdevDevice set_dev

since: 1.6.2

#### Declaration [src]

    void
    fu_udev_device_set_dev (
      FuUdevDevice* self,
      GObject* udev_device
    )

#### Description [src]

Sets the `GUdevDevice`. This may need to be used to replace the actual device used for reads and writes before the device is probed.

Available since: 1.6.2

#### Parameters

`udev_device`

  Type: `GObject`

  A `GUdevDevice`.

  The data is owned by the caller of the method.